NAME    
	writeQC - reads QC1 parameters from fits headers and QC procedures; ingests QC1 parameters into QC1 database

SYNOPSIS
	writeQC -v | -h
	writeQC -m PREPARE | INGEST | AVERAGE -a <AB> [ -e <EXTENSION> ] [ -l MIDAS | PYTHON | SHELL ] [ -c <CONFIG_FILE> ]

OPTIONS
        -h[elp]    short help
        -v[ersion] tool version

PARAMETERS
	-m[ode] PREPARE | INGEST | AVERAGE
	-a <AB>:				name of AB (must be in $DFO_AB_DIR)
	-e[xtension] <EXTENSION>:		extension (MEF only)
	-l[anguage] MIDAS | PYTHON | SHELL:	scripting language, overwrites LANG key in config file
	-c[config] <CONFIG_FILE>:		use non-default configuration file

OUTPUTS
	All temporary files can be found in the directory $TMP_DIR/<AB>_<EXTENSION>.
	The qc1Ingest calls are within the files <TABLE_NAME>.sh.
	The directory is deleted if SIMULATION=NO in config file.

CONFIGURATION FILE
	config.writeQC

EXAMPLE
	Usage in shell syntax:
	for <EXTENSION> in <EXT_RANGE>
		writeQC -m PREPARE -a <AB> -e <EXTENSION>
		$TMP_DIR/writeQC_<AB>_<EXTENSION>/writeQC.<TYPE>
		# with <TYPE> = sh | prg | py
		writeQC -m INGEST -a <AB> -e <EXTENSION>
	
	# optional (after loop over extensions):
	writeQC -m AVERAGE -a <AB>

	# optional scoring:
	scoreQC -a <AB>

NOTES
	The tool expects product files in $DFS_PRODUCT (as specified in AB).
